Imports System.Data.SqlClient

Public Class FormularzGłówny
    Private m_Połączenie As New SqlConnection()
    Private m_Adapter As SqlDataAdapter
    Private m_Kreator As SqlCommandBuilder
    Private m_TabelaDanych As New DataTable()

    Private Sub FormularzGłówny_FormClosed(sender As Object, e As FormClosedEventArgs) Handles Me.FormClosed
        m_Połączenie.Close()
        m_Połączenie.Dispose()

    End Sub

    Private Sub FormularzGłówny_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Dim intNrRekordu As Integer
        m_Połączenie.ConnectionString = "Data Source=.\SQLEXPRESS;AttachDbFilename=C:\test\BazaKontaktów.mdf;Integrated Security=True;Connect Timeout=30"
        m_Połączenie.Open()
        m_Adapter = New SqlDataAdapter("SELECT * FROM Kontakty", m_Połączenie)
        m_Kreator = New SqlCommandBuilder(m_Adapter)
        m_Adapter.Fill(m_TabelaDanych)
        lstKontakty.ClearSelected()
        For intNrRekordu = 0 To m_TabelaDanych.Rows.Count - 1
            lstKontakty.Items.Add(m_TabelaDanych(intNrRekordu)("ImięNazwisko").ToString())
        Next

    End Sub

End Class